# Warp Themes

This is an open source repository with themes for [Warp](https://www.warp.dev/).
We welcome and appreciate any contributions!

We have [directions on how to use this repository in our documentation.](https://docs.warp.dev/features/themes)

[Discord](https://discord.gg/warpdotdev)

[Warp Repo](https://github.com/warpdotdev/Warp)

## Open source dependencies

We'd like to call out a few of the open source themes and repositories that helped bootstrap the set of themes for Warp:

- [iTerm colors pencil](https://github.com/mattly/iterm-colors-pencil)
- [Alacritty-theme](https://github.com/eendroroy/alacritty-theme)
- [base16-Alacritty](https://github.com/aarowill/base16-alacritty)
- [base16](https://github.com/chriskempson/base16)
- [Solarized](https://ethanschoonover.com/solarized/)
- [Dracula](https://draculatheme.com/)
- [Gruvbox](https://github.com/morhetz/gruvbox)

## What are base16 themes?

> An architecture for building themes based on carefully chosen syntax highlighting using a base of sixteen colors. Base16 provides a set of guidelines detailing how to style syntax and how to code a builder for compiling Base16 schemes and templates.

More on the details and structure here: [https://github.com/chriskempson/base16.](https://github.com/chriskempson/base16)

Base16 themes were sourced and auto-generated based on the Alacritty themes collected by @aarowill.
Repo: [https://github.com/aarowill/base16-alacritty](https://github.com/aarowill/base16-alacritty)

## What are standard themes?

In this directory you'll find themes popular among other tools, including Solarized, Dracula and others.

Themes in this directory were sourced and auto-generated based on the Alacritty themes collected by @eendroroy.
Repo: [https://github.com/eendroroy/alacritty-theme](https://github.com/eendroroy/alacritty-theme)

## What are holiday themes?

 We made holiday themes to celebrate various holidays during the calendar year.

The [Thanksgiving Theme](https://twitter.com/warpdotdev/status/1463663176680157190?s=20) used [this background](https://unsplash.com/photos/ZwPuquZBnyM) taken by [
Yannick Pulver](https://unsplash.com/@yanu).

The [Winter Holiday Theme](https://twitter.com/warpdotdev/status/1474159550961840130?s=20&t=G8CKtGzU6kda5R3_gH9t4A) used [this background](https://unsplash.com/photos/TD8CbG9-sMk) taken by [Jeremy Kovac](https://unsplash.com/@jkovac).
|Theme name | Preview|
| --- | --- |
|**[Afterglow](afterglow.yaml)**:|<img src='previews/afterglow.yaml.svg' width='300'>|
|**[Apple Dark](apple_dark.yaml)**:|<img src='previews/apple_dark.yaml.svg' width='300'>|
|**[Apple Light](apple_light.yaml)**:|<img src='previews/apple_light.yaml.svg' width='300'>|
|**[Argonaut](argonaut.yaml)**:|<img src='previews/argonaut.yaml.svg' width='300'>|
|**[Avirage](avirage.yaml)**:|<img src='previews/avirage.yaml.svg' width='300'>|
|**[Ayu Dark](ayu_dark.yaml)**:|<img src='previews/ayu_dark.yaml.svg' width='300'>|
|**[Ayu Light](ayu_light.yaml)**:|<img src='previews/ayu_light.yaml.svg' width='300'>|
|**[Ayu Mirage](ayu_mirage.yaml)**:|<img src='previews/ayu_mirage.yaml.svg' width='300'>|
|**[Blood Moon](blood_moon.yaml)**:|<img src='previews/blood_moon.yaml.svg' width='300'>|
|**[Breeze](breeze.yaml)**:|<img src='previews/breeze.yaml.svg' width='300'>|
|**[Campbell](campbell.yaml)**:|<img src='previews/campbell.yaml.svg' width='300'>|
|**[Catppuccin](catppuccin.yaml)**:|<img src='previews/catppuccin.yaml.svg' width='300'>|
|**[Challenger Deep](challenger_deep.yaml)**:|<img src='previews/challenger_deep.yaml.svg' width='300'>|
|**[Cobalt 2](cobalt_2.yaml)**:|<img src='previews/cobalt_2.yaml.svg' width='300'>|
|**[Cobalt Next](cobalt_next.yaml)**:|<img src='previews/cobalt_next.yaml.svg' width='300'>|
|**[Cyber Punk Neon](cyber_punk_neon.yaml)**:|<img src='previews/cyber_punk_neon.yaml.svg' width='300'>|
|**[Darcula](darcula.yaml)**:|<img src='previews/darcula.yaml.svg' width='300'>|
|**[Dark Pastels](dark_pastels.yaml)**:|<img src='previews/dark_pastels.yaml.svg' width='300'>|
|**[Default Dark](default_dark.yaml)**:|<img src='previews/default_dark.yaml.svg' width='300'>|
|**[Dracula](dracula.yaml)**:|<img src='previews/dracula.yaml.svg' width='300'>|
|**[Everforest Hard](everforest_hard.yaml)**:|<img src='previews/everforest_hard.yaml.svg' width='300'>|
|**[Everforest Light](everforest_light.yaml)**:|<img src='previews/everforest_light.yaml.svg' width='300'>|
|**[Fairyfloss](fairyfloss.yaml)**:|<img src='previews/fairyfloss.yaml.svg' width='300'>|
|**[Faithful Argonaut](faithful_argonaut.yaml)**:|<img src='previews/faithful_argonaut.yaml.svg' width='300'>|
|**[Falcon](falcon.yaml)**:|<img src='previews/falcon.yaml.svg' width='300'>|
|**[Flat Remix](flat_remix.yaml)**:|<img src='previews/flat_remix.yaml.svg' width='300'>|
|**[Github Dark](github_dark.yaml)**:|<img src='previews/github_dark.yaml.svg' width='300'>|
|**[Github Dark Dimmed](github_dark_dimmed.yaml)**:|<img src='previews/github_dark_dimmed.yaml.svg' width='300'>|
|**[Github Light](github_light.yaml)**:|<img src='previews/github_light.yaml.svg' width='300'>|
|**[Gotham](gotham.yaml)**:|<img src='previews/gotham.yaml.svg' width='300'>|
|**[Green Geeko](green_geeko.yaml)**:|<img src='previews/green_geeko.yaml.svg' width='300'>|
|**[Gruvbox Dark](gruvbox_dark.yaml)**:|<img src='previews/gruvbox_dark.yaml.svg' width='300'>|
|**[Gruvbox Light](gruvbox_light.yaml)**:|<img src='previews/gruvbox_light.yaml.svg' width='300'>|
|**[Gruvbox Material](gruvbox_material.yaml)**:|<img src='previews/gruvbox_material.yaml.svg' width='300'>|
|**[Halcyon](halcyon.yaml)**:|<img src='previews/halcyon.yaml.svg' width='300'>|
|**[High Contrast](high_contrast.yaml)**:|<img src='previews/high_contrast.yaml.svg' width='300'>|
|**[Horizon Dark](horizon_dark.yaml)**:|<img src='previews/horizon_dark.yaml.svg' width='300'>|
|**[Hyper](hyper.yaml)**:|<img src='previews/hyper.yaml.svg' width='300'>|
|**[Iceberg](iceberg.yaml)**:|<img src='previews/iceberg.yaml.svg' width='300'>|
|**[Iterm](iterm.yaml)**:|<img src='previews/iterm.yaml.svg' width='300'>|
|**[Jellybeans](jellybeans.yaml)**:|<img src='previews/jellybeans.yaml.svg' width='300'>|
|**[Konsole Linux](konsole_linux.yaml)**:|<img src='previews/konsole_linux.yaml.svg' width='300'>|
|**[Laser](laser.yaml)**:|<img src='previews/laser.yaml.svg' width='300'>|
|**[Low Contrast](low_contrast.yaml)**:|<img src='previews/low_contrast.yaml.svg' width='300'>|
|**[Lucario](lucario.yaml)**:|<img src='previews/lucario.yaml.svg' width='300'>|
|**[Material Theme](material_theme.yaml)**:|<img src='previews/material_theme.yaml.svg' width='300'>|
|**[Material Theme Mod](material_theme_mod.yaml)**:|<img src='previews/material_theme_mod.yaml.svg' width='300'>|
|**[Monokai Pro](monokai_pro.yaml)**:|<img src='previews/monokai_pro.yaml.svg' width='300'>|
|**[Monokai Pro Classic](monokai_pro_classic.yaml)**:|<img src='previews/monokai_pro_classic.yaml.svg' width='300'>|
|**[Monokai Pro Machine](monokai_pro_machine.yaml)**:|<img src='previews/monokai_pro_machine.yaml.svg' width='300'>|
|**[Monokai Pro Octagon](monokai_pro_octagon.yml)**:|<img src='previews/monokai_pro_octagon.yml.svg' width='300'>|
|**[Monokai Pro Ristretto](monokai_pro_ristretto.yml)**:|<img src='previews/monokai_pro_ristretto.yml.svg' width='300'>|
|**[Monokai Pro Spectrum](monokai_pro_spectrum.yml)**:|<img src='previews/monokai_pro_spectrum.yml.svg' width='300'>|
|**[Night Owl](night_owl.yaml)**:|<img src='previews/night_owl.yaml.svg' width='300'>|
|**[Nord](nord.yaml)**:|<img src='previews/nord.yaml.svg' width='300'>|
|**[Oceanic Next](oceanic_next.yaml)**:|<img src='previews/oceanic_next.yaml.svg' width='300'>|
|**[Omni](omni.yaml)**:|<img src='previews/omni.yaml.svg' width='300'>|
|**[One Dark](one_dark.yaml)**:|<img src='previews/one_dark.yaml.svg' width='300'>|
|**[Palenight](palenight.yaml)**:|<img src='previews/palenight.yaml.svg' width='300'>|
|**[Papercolor Light](papercolor_light.yaml)**:|<img src='previews/papercolor_light.yaml.svg' width='300'>|
|**[Pencil Dark](pencil_dark.yaml)**:|<img src='previews/pencil_dark.yaml.svg' width='300'>|
|**[Pencil Light](pencil_light.yaml)**:|<img src='previews/pencil_light.yaml.svg' width='300'>|
|**[Remedy Dark](remedy_dark.yaml)**:|<img src='previews/remedy_dark.yaml.svg' width='300'>|
|**[Seashells](seashells.yaml)**:|<img src='previews/seashells.yaml.svg' width='300'>|
|**[Simply Dark](simply_dark.yaml)**:|<img src='previews/simply_dark.yaml.svg' width='300'>|
|**[Snazzy](snazzy.yaml)**:|<img src='previews/snazzy.yaml.svg' width='300'>|
|**[Solarized Dark](solarized_dark.yaml)**:|<img src='previews/solarized_dark.yaml.svg' width='300'>|
|**[Solarized Light](solarized_light.yaml)**:|<img src='previews/solarized_light.yaml.svg' width='300'>|
|**[Taerminal](taerminal.yaml)**:|<img src='previews/taerminal.yaml.svg' width='300'>|
|**[Tango Dark](tango_dark.yaml)**:|<img src='previews/tango_dark.yaml.svg' width='300'>|
|**[Tender](tender.yaml)**:|<img src='previews/tender.yaml.svg' width='300'>|
|**[Terminal App](terminal_app.yaml)**:|<img src='previews/terminal_app.yaml.svg' width='300'>|
|**[Thelovelace](thelovelace.yaml)**:|<img src='previews/thelovelace.yaml.svg' width='300'>|
|**[Tokyo Night](tokyo_night.yaml)**:|<img src='previews/tokyo_night.yaml.svg' width='300'>|
|**[Tokyo Night Storm](tokyo_night_storm.yaml)**:|<img src='previews/tokyo_night_storm.yaml.svg' width='300'>|
|**[Tomorrow Night](tomorrow_night.yaml)**:|<img src='previews/tomorrow_night.yaml.svg' width='300'>|
|**[Tomorrow Night Bright](tomorrow_night_bright.yaml)**:|<img src='previews/tomorrow_night_bright.yaml.svg' width='300'>|
|**[Vuesion](vuesion.yaml)**:|<img src='previews/vuesion.yaml.svg' width='300'>|
|**[Wombat](wombat.yaml)**:|<img src='previews/wombat.yaml.svg' width='300'>|
|**[Xterm](xterm.yaml)**:|<img src='previews/xterm.yaml.svg' width='300'>|